#include "Face.h"
#include <M5StickC.h>

#define WIDTH 80
#define HEIGHT 168
#define EYE 40

// ESP32-Facesを使用する準備をします
TFT_eSprite Buffer = TFT_eSprite(&M5.Lcd);
Face face(Buffer, HEIGHT, WIDTH, EYE);

void setup(void) {
  // M5StickCを初期化します
  M5.begin();

  //色ビット数を指定します。
  Buffer.setColorDepth(8);
  //スプライトを作成します
  Buffer.createSprite(WIDTH, HEIGHT);
  // M5StickCのIMU（6軸センサー）を初期化します
  M5.IMU.Init();
}

void loop() {
  float accX = 0;
  float accY = 0;
  float accZ = 0;
  M5.IMU.getAccelData(&accX, &accY, &accZ);

  // M5StickC本体の傾きによって表情を変更します
  if (accZ > 0.8 || accZ < -0.8) {
    face.Behavior.Clear();
    //悲しい
    face.Behavior.SetEmotion(eEmotions::Sad, 1.0);
  } else if (accY > 0.8) {
    face.Behavior.Clear();
    //怒り
    face.Behavior.SetEmotion(eEmotions::Angry, 1.0);
  } else if (accY < -0.8) {
    face.Behavior.Clear();
    //激怒
    face.Behavior.SetEmotion(eEmotions::Furious, 1.0);
  } else {
    face.Behavior.Clear();
    //通常
    face.Behavior.SetEmotion(eEmotions::Normal, 2.0);
    //ハッピー
    face.Behavior.SetEmotion(eEmotions::Happy, 1.0);
  }

  //表情を更新します
  face.Update();
}
